/* loader */
.preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: #fff;
    opacity: 0.5;
}

.preloader .loading {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    font: 14px arial;
}

/* input right button */
.spacer {
    display: flex;
}

.spacer .btn {
    float: right;
    margin-left: 5px;
}

.spacer input {
    float: left;
}

/* datatable font content */
.tablefontmini {
    font-size: 11px;
}

.tablefontmini2 {
    font-size: 9px;
    padding: 3px;
    max-width: 100px;
}

.box {
    padding: 0;
}

/* input search datatable */
.spanbox {
    width: 120px;
}

.exinput-custom {
    color: black;
    background-color: transparent;
    font-weight: bold;
    text-align: left;
    border: none;
    margin-right: 3px;
    /* border: 1px solid black; */
}

.exinput-custom-responsive {
    font-size: 15px;
    font-weight: bold;
    margin-right: 3px;
    text-align: left;
}

/* color */
.text-dark-manually {
    color: black;
}

@media screen and (max-width: 575px) {
    .exinput-custom-responsive {
        font-size: 10px;
        margin-top: 3%;
    }

    .form-control-sm-responsive {
        font-size: 0.5rem;
    }

    .btn-sm-responsive {
        font-size: 0.5rem;
    }
}

@media screen and (max-width: 375px) {
    .label-responsive {
        font-size: 11px;
    }
}

@media screen and (max-width: 360px) {
    .exinput-custom-responsive {
        margin-top: 5%;
    }

    .label-responsive {
        font-size: 10px;
    }
}

@media screen and (max-width: 320px) {
    .exinput-custom-responsive {
        font-size: 8px;
    }

    .mb-2-responsive {
        margin-bottom: 15px;
    }

    .label-responsive {
        font-size: 8px;
    }
}

@media screen and (max-width: 280px) {
    .exinput-custom-responsive {
        font-size: 7px;
    }

    .label-responsive {
        font-size: 6px;
    }
}

/* datatable input place button next to input-group */
.table-bordered thead .backgroudrowblue th {
    background-color: #0066CC;
}

.textblack {
    color: black;
}

table.dataTable .tblsecond td {
  font-size: 10px;
  text-align: center;
}

table.dataTable th {
  text-align: center;
}

/* inputan diatas datatabel */

/* datatables */
/* div.dataTables_wrapper {
    width: 800px;
    margin: 0 auto;
} */

::-webkit-scrollbar {
    height: 10px;              /* height of horizontal scrollbar ← You're missing this */
    width: 4px;               /* width of vertical scrollbar */
    border: 1px solid #d5d5d5;
}

tbody .child {
    text-align: left;
}

/* bootstrap */
.btn-danger {
    background-color: #dc3545;
}

.btn-secondary {
    background-color: #6c757d;
    border-color: #6c757d;
}

.btn-secondary:hover, .btn-secondary:active, .btn-secondary:active:focus, .btn-secondary.active, .btn-secondary:focus, .open>.dropdown-toggle.btn-secondary {
    background-color: #6c757d !important;
    border-color: #6c757d !important;
}

/* section body */
.minstylebody {
    min-height: 80vh;
}

/* btn search mini */
.btn-search {
    min-height: 0;
    padding: 0;
}

/* btn spinner */
.btn-spinner {
    width: 80px;
}

/* no surat */
.no-surat {
    font-size: 20px
}

@media screen and (max-width: 1100px){
    .no-surat {
        font-size: 18px
    }
}

@media screen and (max-width: 950px){
    .no-surat {
        font-size: 16px
    }
}

@media screen and (max-width: 850px){
    .no-surat {
        font-size: 12px
    }
}

@media screen and (max-width: 500px){
    .no-surat {
        font-size: 9px
    }
}
